# The MEME Suite

## Motif-based sequence analysis tools

# CentriMo

## Local Motif Enrichment Analysis

### Usage:

`centrimo [options] <primary sequence file> <motif file>+`

### Description

### Input

#### Motif File(s)

File(s) containing MEME formatted motifs. Outputs from MEME and DREME are supported, as well as Minimal MEME Format. You can convert many other motif formats to MEME format using conversion scripts available with the MEME Suite.

#### Sequence File

A file containing FASTA formatted sequences, ideally all of the same length. The sequences in this file are referred to as the "primary sequences" when a second set of (control) sequences is provided using the --neg option (see below).

### Output

CentriMo outputs an HTML file that allows interactive selection of which motifs to plot the positional distribution for and control over smoothing and other plotting parameters. CentriMo also outputs two text files: centrimo.txt, a tab delimited version of the results, and site_counts.txt, which lists, for each motif and each offset, the number of sequences where the best match of the motif occurs at the given offset.

### Options

Option | Parameter | Description | Default Behaviour
--- | --- | --- | ---
Input/Output
--neg | control sequence file | Plot the motif distributions in this set (the control sequences) as well. For each enriched region in the primary sequences, the signficance of the relative enrichment of that region in the primary versus control sequences is evaluated using Fisher's exact test. |
--xalph | alphabet definition file | Override the alphabet specified in the motif file with an alphabet that contains all the core symbols specified in the motif alphabet but which may contain additional core symbols. The motifs will be expanded to match this new alphabet with 0's filling in the probabilities for the new symbols (prior to applying pseudocounts). | Use the alphabet listed in the motif file.
--bgfile | bg file | Read a zero order background from the specified file. If motif-file is specified then read the background from the motif file. Note that if --xalph is specified the background must be for the expanded alphabet. | The program uses the base frequencies in the input sequences.
--motif | ID | Select the motif with the ID for scanning. This option may be repeated to select multiple motifs. | The program scans with all the motifs.
--motif-pseudo | pseudocount | Apply this pseudocount to the PWMs before scanning. | The program applies a pseudocount of 0.1.
--seqlen | length | Use sequences with the length length ignoring all other sequences in the input file(s). | Use sequences with the same length as the first sequence, ignoring all other sequences in the input file(s).
Scanning
--score | S | The score threshold for PWMs, in bits. Sequences without a match with score ≥ S are ignored. | A score of 5 is used.
--optimize_score |  | Search for the optimal score above the minimum threshold given by the --score option. | The minimum score threshold is used.
--maxreg | max region | The maximum region size to consider. | Try all region sizes up to the sequence width.
--minreg | min region | The minimum region size to consider. Must be less than max region. | Try regions 1 bp and larger.
--norc |  | Do not scan with the reverse complement motif. | Scans with the reverse complement motif.
--flip |  | reverse complement matches appear 'reflected' around sequence centers. | Do not 'flip' the sequence; use rc of motif instead.
--local |  | Compute enrichment of all regions. | Compute enrichment of central regions.
--disc |  | Use Fisher's exact test to compute enrichment discriminatively. Requires the control sequences to be supplied with the --neg option. | Use the binomial test to compute enrichment.
Output filtering
--ethresh | thresh | Limit the results to motifs with an enriched region whose E-value is less than thresh. Enrichment E-values are computed by first adjusting the binomial p-value of a region for the number of regions tested using the Bonferroni correction, and then multiplying the adjusted p-value by the number of motifs in the input to CentriMo. | Include motifs with E-values up to 10.
Miscellaneous
--desc | description | Include the text description in the HTML output. | No description in the HTML output.
--dfile | desc file | Include the first 500 characters of text from the file desc file in the HTML output. | No description in the HTML output.
--noseq |  | Do not store sequence IDs in the output of CentriMo. | CentriMo stores a list of the sequence IDs with matches in the best region for each motif. This can potentially make the file size much larger.
--version |  | Display the version and exit. | Run as normal.

### Citing

If you use CentriMo in your research, please cite the following paper:
Timothy L. Bailey and Philip Machanick, "Inferring direct DNA binding from ChIP-seq", Nucleic Acids Research, 40:e128, 2012. [full text]